Name:           gnome-calendar
Version:        3.16.0
Release:        1%{?dist}
Summary:        Simple and beautiful calendar application designed to fit GNOME 3

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Calendar

Source0:        https://download.gnome.org/sources/%{name}/3.16/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libecal-1.2)
BuildRequires:  pkgconfig(libedataserver-1.2)
BuildRequires:  libical-devel >= 1.0-9
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  desktop-file-utils

# no `icaltime_days_in_year` before
Requires:       libical >= 1.0-9

%description
Calendar is a simple and beautiful calendar application designed to fit
GNOME 3.
Features:
* Week, month and year views
* Basic editing of events
* Evolution Data Server integration
* Search support

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%{find_lang} %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Calendar.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.gnome.Calendar.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/update-desktop-database &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/org.gnome.Calendar.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini

%changelog
* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92

* Tue Mar 03 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
- Update to 3.15.91
- Drop large ChangeLog file from docs

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-2
- Add missing colon after glib-compile-schemas

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-1
- Update to 3.15.90
- Use license macro for COPYING

* Sun Jan 25 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-2
- Add check section
- Add hook for mime entry

* Sat Jan 24 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-1
- 3.15.4.1

* Wed Jan 21 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4-1
- 3.15.4

* Fri Jan 02 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.3.1-1
- Initial package
